<?xml version="1.0" encoding="UTF-8"?>

<?import com.jfoenix.controls.JFXButton?>
<?import com.jfoenix.controls.JFXTextField?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.Pane?>
<?import javafx.scene.text.Font?>

<Pane fx:id="paneRoot" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="621.0" prefWidth="1050.0" xmlns="http://javafx.com/javafx/9.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="views.screen.returnBike.Payment">
   <children>
      <Pane layoutX="519.0" prefHeight="621.0" prefWidth="531.0" style="-fx-background-color: #C5C9C4;">
         <children>
            <Label layoutX="154.0" layoutY="35.0" prefHeight="40.0" prefWidth="184.0" text="CREDIT CARD">
               <font>
                  <Font name="System Bold" size="28.0" />
               </font>
            </Label>
            <JFXTextField fx:id="securityCode" focusColor="#0e740a" labelFloat="true" layoutX="56.0" layoutY="394.0" prefHeight="54.0" prefWidth="366.0" promptText="Security Code">
               <font>
                  <Font size="25.0" />
               </font>
            </JFXTextField>
            <JFXTextField fx:id="expirationDate" focusColor="#0e740a" labelFloat="true" layoutX="56.0" layoutY="294.0" prefHeight="54.0" prefWidth="366.0" promptText="Expiration Date">
               <font>
                  <Font size="25.0" />
               </font>
            </JFXTextField>
            <JFXTextField fx:id="cardHolderName" focusColor="#0e740a" labelFloat="true" layoutX="56.0" layoutY="193.0" prefHeight="54.0" prefWidth="366.0" promptText="Card Holder Name">
               <font>
                  <Font size="25.0" />
               </font>
            </JFXTextField>
            <JFXTextField fx:id="cardNumber" focusColor="#0e740a" labelFloat="true" layoutX="56.0" layoutY="92.0" prefHeight="54.0" prefWidth="366.0" promptText="Card Number">
               <font>
                  <Font size="25.0" />
               </font>
            </JFXTextField>
            <Label fx:id="notifySuccessfulPayment" layoutX="117.0" layoutY="547.0" prefHeight="44.0" prefWidth="257.0" text="Payment successfully !" textFill="#0e740a">
               <font>
                  <Font name="System Italic" size="25.0" />
               </font>
            </Label>
            <JFXButton fx:id="paymentButton" buttonType="RAISED" layoutX="147.0" layoutY="471.0" style="-fx-background-color: #f2f2f2;" text="PAYMENT">
               <font>
                  <Font name="Segoe UI Bold" size="30.0" />
               </font>
            </JFXButton>
         </children>
      </Pane>
      <Pane prefHeight="621.0" prefWidth="496.0" style="-fx-background-color: white;">
         <children>
            <Label layoutX="63.0" layoutY="30.0" prefHeight="58.0" prefWidth="381.0" text="Rental Bike Information">
               <font>
                  <Font name="System Bold" size="33.0" />
               </font>
            </Label>
            <Label layoutX="106.0" layoutY="201.0" prefHeight="35.0" prefWidth="72.0" text="Type:">
               <font>
                  <Font name="Rasa Medium" size="24.0" />
               </font>
            </Label>
            <Label layoutX="106.0" layoutY="269.0" prefHeight="35.0" prefWidth="403.0" text="Deposit:                              VND">
               <font>
                  <Font name="Rasa Medium" size="24.0" />
               </font>
            </Label>
            <Label layoutX="106.0" layoutY="332.0" text="Time:">
               <font>
                  <Font name="Rasa Medium" size="24.0" />
               </font>
            </Label>
            <Label fx:id="type" layoutX="254.0" layoutY="203.0" prefHeight="33.0" prefWidth="240.0" text="Bike Name:">
               <font>
                  <Font name="Rasa" size="22.0" />
               </font>
            </Label>
            <Label fx:id="deposit" layoutX="254.0" layoutY="271.0" prefHeight="33.0" prefWidth="149.0" text="Bike Name:">
               <font>
                  <Font name="Rasa" size="22.0" />
               </font>
            </Label>
            <JFXButton fx:id="backButton" buttonType="RAISED" layoutX="67.0" layoutY="544.0" prefHeight="54.0" prefWidth="107.0" style="-fx-background-color: #f2f2f2;" text="Back">
               <font>
                  <Font name="Rasa Medium" size="25.0" />
               </font>
            </JFXButton>
            <Label layoutX="134.0" layoutY="107.0" prefHeight="35.0" prefWidth="107.0" text="Barcode: ">
               <font>
                  <Font size="24.0" />
               </font>
            </Label>
            <Label fx:id="barcode" layoutX="233.0" layoutY="107.0" prefHeight="33.0" prefWidth="240.0" text="Bike Name:">
               <font>
                  <Font size="24.0" />
               </font>
            </Label>
            <ImageView fx:id="typeIcon" fitHeight="40.0" fitWidth="40.0" layoutX="43.0" layoutY="199.0" pickOnBounds="true" preserveRatio="true">
               <image>
                  <Image url="@../../../../assets/images/typeBike.jpg" />
               </image>
            </ImageView>
            <ImageView fx:id="depositIcon" fitHeight="40.0" fitWidth="40.0" layoutX="47.0" layoutY="267.0" pickOnBounds="true" preserveRatio="true">
               <image>
                  <Image url="@../../../../assets/images/deposit.png" />
               </image>
            </ImageView>
            <ImageView fx:id="timeIcon" fitHeight="40.0" fitWidth="40.0" layoutX="43.0" layoutY="333.0" pickOnBounds="true" preserveRatio="true">
               <image>
                  <Image url="@../../../../assets/images/time.png" />
               </image>
            </ImageView>
            <Label fx:id="time" layoutX="254.0" layoutY="333.0" prefHeight="33.0" prefWidth="149.0" text="Bike Name:">
               <font>
                  <Font name="Rasa" size="22.0" />
               </font>
            </Label>
            <ImageView fx:id="moneyIcon" fitHeight="40.0" fitWidth="40.0" layoutX="43.0" layoutY="393.0" pickOnBounds="true" preserveRatio="true">
               <image>
                  <Image url="@../../../../assets/images/money.png" />
               </image>
            </ImageView>
            <Label layoutX="106.0" layoutY="393.0" prefHeight="35.0" prefWidth="403.0" text="Amount:                              VND">
               <font>
                  <Font name="Rasa Medium" size="24.0" />
               </font>
            </Label>
            <Label fx:id="amount" layoutX="254.0" layoutY="394.0" prefHeight="33.0" prefWidth="149.0" text="Bike Name:">
               <font>
                  <Font name="Rasa" size="22.0" />
               </font>
            </Label>
         </children>
      </Pane>
   </children>
</Pane>
